%define major		1
%define libname		%mklibname wbxml %{major}
%define develname	%mklibname wbxml -d

Summary:	WBXML parser and compiler library
Name:		libwbxml
Version:	0.11.7
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwbxml.opensync.org
Source:		https://github.com/libwbxml/libwbxml/archive/%{name}-%{version}.tar.gz
Requires:	expat >= 2.0.1
BuildRequires:	cmake
BuildRequires:	pkgconfig(expat) >= 2.0.1
BuildRequires:	pkgconfig(check)

%description
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

%package -n	%{libname}
Group:		System/Libraries
License:	LGPLv2+
Summary:	Library for parsing WAP Binary XML

%description -n	%{libname}
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

This package contains just the library for use by other applications.

%package -n	%{develname}
Group:		Development/C
License:	LGPLv2+
Summary:	Library for developing applications that parse WAP Binary XML
Requires:	%{libname} = %{version}-%{release}
Provides:	wbxml-devel = %{version}-%{release}

%description -n	%{develname}
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

This package contains the headers and other development files required to
compile applications that need to parse WBXML.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc BUGS COPYING GNU-LGPL README
%doc References THANKS TODO ChangeLog
%exclude %{_docdir}/%{name}/INSTALL
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README References TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libwbxml2.pc
%{_datadir}/cmake/Modules/FindLibWbxml2.cmake


%changelog
* Wed Apr 22 2020 daviddavid <daviddavid> 0.11.7-1.mga8
+ Revision: 1570714
- new version: 0.11.7

* Thu Feb 13 2020 daviddavid <daviddavid> 0.11.6-3.mga8
+ Revision: 1515095
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.11.6-2.mga7
+ Revision: 1299221
- Mageia 7 Mass Rebuild

* Thu Aug 17 2017 luigiwalser <luigiwalser> 0.11.6-1.mga7
+ Revision: 1141392
- 0.11.6

* Sun Feb 26 2017 luigiwalser <luigiwalser> 0.11.5-1.mga6
+ Revision: 1087958
- 0.11.5
- remove upstreamed patch

* Thu Feb 11 2016 umeabot <umeabot> 0.11.3-3.mga6
+ Revision: 955914
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 daviddavid <daviddavid> 0.11.3-2.mga6
+ Revision: 892969
- add more docs to fix build with latest rpm

* Sat Jul 25 2015 tv <tv> 0.11.3-1.mga6
+ Revision: 857495
- fix build
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.11.2-3.mga5
+ Revision: 742346
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.2-2.mga5
+ Revision: 681853
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.11.2-1.mga5
+ Revision: 660381
- New version: 0.11.2

* Fri Oct 18 2013 umeabot <umeabot> 0.10.9-3.mga4
+ Revision: 507431
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.9-2.mga3
+ Revision: 358435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 02 2012 fwang <fwang> 0.10.9-1.mga3
+ Revision: 204032
- popt and zlib is not required
- new version 0.10.9

* Mon Feb 07 2011 spuhler <spuhler> 0.10.8-1.mga1
+ Revision: 48338
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libwbxml


* Mon Aug 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.10.8-1mdv2011.0
+ Revision: 570417
- 0.10.8

* Tue May 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10.7-1mdv2010.0
+ Revision: 377670
- 0.10.7

* Tue Mar 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10.4-4mdv2009.1
+ Revision: 360802
- provides arch-independant devel virtual package

* Mon Mar 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10.4-3mdv2009.1
+ Revision: 360760
- obsoletes previous lib package correctly also

* Mon Mar 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10.4-2mdv2009.1
+ Revision: 360750
- obsoletes previous devel package correctly

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10.4-1mdv2009.1
+ Revision: 358172
- package renaming
- package renaming
- new version
- new name
- drop all patches, merged
- drop static package

* Sun Jul 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.2-4mdv2009.0
+ Revision: 239109
- add patch from libsyncml team

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jun 30 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.2-3mdv2008.0
+ Revision: 46180
- buildrequires automake
- add patches 0 and 1 from synce project

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.2-2mdv2008.0
+ Revision: 38636
- rebuild for expat
- spec file clean
- Import wbxml2

